:root{
  --color-primary: #a89e94;
  --color-accent: #867ab8;
  --color-accent-light: #b0a4dd;

  --color-dark: #4a4947;
  --color-light: #f2f1ef;

  --color-borders: var(--color-primary);
  --color-background: var(--color-light);
  --color-section: #b9b5b4;

  /** Inner voyager variables */
  --btn-size: 3rem;
}


@font-face {
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(./Poppins-Regular.ttf);
}

@font-face {
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url(./Poppins-Bold.ttf);
}


html, body{
  box-sizing: border-box;
  margin: 0;
  border: 0;
  padding: 0;
  max-width: 100vw;
  max-height: 100vh;
  overflow: hidden;
}

body{
  min-height: 100vh;

  background-image: url("background.jpg");
  background-position: bottom right;
  background-size: cover;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1rem;


  user-select: none;

  color: var(--color-dark);

  font-size: 150%;
}

h1{
  text-align: center;
  margin-block-start: 24px;
  margin-block-end: 18px;
  font-family: Poppins, sans-serif;
  font-weight: 700;
}

main{
  box-sizing: border-box;

  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto;
  justify-content: space-evenly;
  gap: 1rem;
  padding: 8px 1rem;

  overflow-y: auto;

}

main > h1{
  grid-column-end: span 2;
}

.card{
  display: flex;
  flex-direction: column;
  min-width: 0;
  height: auto;
  position: relative;
  cursor: pointer;
  border-radius: 4px;
  transition: box-shadow .1s ease-out;

  &:active, &:hover{
    img{

      box-shadow: 3px 3px 2px 3px #00000044;
    }
  }
}

.card img{
  display: block;
  width: 100%;
  height: 100%;
  pointer-events: none; 
  border-radius: 4px;
  box-shadow: 2px 2px 1px 2px #00000044;
}

.card .card-title{
  margin-block-end: 6px;
  text-align: center;
  margin-block-start: .75rem;
  font-family: Poppins, sans-serif;
  font-weight: 400;
  text-decoration: none !important;
  color: var(--color-dark);
}

.close-btn{
  position: absolute;
  top:  calc(.5rem + env(safe-area-inset-top));
  left: calc(-1rem - env(safe-area-inset-left));
  padding-right: 25px;
  font-size: 150%;
  font-weight: bolder;
  border: 0;
  background: none;
  color: #df694b;
  z-index: 99;
}
.close-btn:hover, .close-btn:active {
  color: #df9b8a;
}

#explorer-container{
  position: absolute;
  inset: 0;

  margin-bottom: calc(-1 * env(safe-area-inset-bottom));
  transition: transform .2s ease-out;
  background: #0b0b0b;
}

#explorer-container.hidden{
  transform: translateX(100vw);
}


.placeholder-logo{
  position: absolute;
  top: calc(env(safe-area-inset-top) + .60rem);
  right: 2.4rem;
  width: 120px;
  height: auto;
}